%global commit 95ca00d77a6bad85b4719a25575862b964584f34
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global stackname genmsg

Name:           python-%{stackname}
Version:        0.3.10
Release:        16.20130617git%{shortcommit}%{?dist}
Summary:        Python library for generating ROS message and service data

License:        BSD
URL:            http://ros.org/doc/api/genmsg/html/
Source0:        https://github.com/ros/%{stackname}/archive/%{commit}/%{stackname}-%{version}-%{shortcommit}.tar.gz
#Moves /usr/etc to /etc
Patch0:         ros-genmsg-etc.patch
# Fix documentation to pull version from manifest.xml.  Already upstream
Patch1:         genmsg-0.3.10-docversion.patch
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  python2-devel
BuildRequires:  python2-sphinx
BuildRequires:  catkin-devel
BuildRequires:  python2-catkin-sphinx

%global _description\
Project genmsg exists in order to decouple code generation from .msg & .srv\
format files from the parsing of these files and from implementation details\
of the build system (project directory layout, existence or nonexistence of\
utilities like rospack, values of environment variables such as\
ROS_PACKAGE_PATH): i.e. none of these are required to be set in any\
particular way.

%description %_description

%package -n python2-%{stackname}
Summary: %summary
%{?python_provide:%python_provide python2-%{stackname}}

%description -n python2-%{stackname} %_description

%package devel
Summary: Development files for %{name}
Requires: python2-%{stackname} = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -qn %{stackname}-%{commit}
%patch0 -p2 -b .etc
%patch1 -p1

# Get rid of "ros-theme" for now
sed -i 's|html_theme = |#html_theme = |' doc/conf.py

%build
mkdir build
pushd build
%cmake .. \
  -DSETUPTOOLS_DEB_LAYOUT=OFF
popd
export PYTHONPATH=$(pwd)/src/genmsg
pushd doc
make html man
rm -r _build/html/.buildinfo
popd

%install
make -C build install DESTDIR=%{buildroot}

# This is a noarch pacakge, so the pkgconfig file should be in datadir
mkdir -p %{buildroot}%{_datadir}/pkgconfig
mv %{buildroot}%{_libdir}/pkgconfig/genmsg.pc %{buildroot}/%{_datadir}/pkgconfig

# Create the langs subdirectory so we can own it
# Individual language generators register themselves here
mkdir -p %{buildroot}/%{_sysconfdir}/ros-langs

# Remove the first line (a shebang) since it's not an executable script
sed -i '1,1d' %{buildroot}%{python2_sitelib}/%{stackname}/gentools.py

# Install the manpages
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 0644 doc/_build/man/%{stackname}.1 %{buildroot}%{_mandir}/man1/

%files -n python2-%{stackname}
%doc doc/_build/html
%dir %{_datadir}/%{stackname}
%{_datadir}/%{stackname}/stack.xml
%{python2_sitelib}/%{stackname}
%{python2_sitelib}/*egg-info
%dir %{_sysconfdir}/ros-langs
%{_mandir}/man1/%{stackname}.1.*

%files devel
%{_datadir}/pkgconfig/*.pc
%{_datadir}/%{stackname}/cmake

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.10-16.20130617git95ca00d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.10-15.20130617git95ca00d
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Tue Aug 22 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.10-14.20130617git95ca00d
- Add a build-time dependency on python2-devel

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.10-13.20130617git95ca00d
- Python 2 binary package renamed to python2-genmsg
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.10-12.20130617git95ca00d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.10-11.20130617git95ca00d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.10-10.20130617git95ca00d
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.10-9.20130617git95ca00d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.10-8.20130617git95ca00d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.10-7.20130617git95ca00d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.10-6.20130617git95ca00d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 24 2013 Rich Mattes <richmattes@gmail.com> - 0.3.10-5.20130617git95ca00d
- Fixed manpage installation

* Sat Jun 22 2013 Rich Mattes <richmattes@gmail.com> - 0.3.10-4.20130617git95ca00d
- Build and install html documentation and manpage
- Update description to use package description from upstream documentation

* Mon Jun 17 2013 Rich Mattes <richmattes@gmail.com> - 0.3.10-3.20130617git95ca00d
- Update URL to match github guidelines
- Change python-setuptools-devel to python-setuptools
- Get rid of rm buildroot at beginning of install
- Change RPM_BUILD_ROOT to buildroot macro
- Add devel subpackage
- Remove the shebang from gentools.py

* Mon Mar 25 2013 Rich Mattes <richmattes@gmail.com> - 0.3.10-2.git7859688
- Add requirement on ros-catkin
- Change package name to python-genmsg

* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 0.3.10-1.git7859688
- Initial package
